Error when trying to add a custom field

2014-04-02 15:49 - Howard Bertolo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.1

Description

We get the following error when trying to create a custom field of any type:

 capture.png 

Our Redmine log file:

Started GET "/custom_fields/new?utf8=%E2%9C%93&type=TimeEntryCustomField" for 99.250.151.91 at 2014-03-31 15:45:43

-0400

Processing by CustomFieldsController#new as HTML

Parameters: {"utf8"=>"Ã¢ "type"=>"TimeEntryCustomField"}

Current user: tlaskows (id=1)

Rendered custom_fields/_form.html.erb (2.3ms)

Rendered custom_fields/new.html.erb within layouts/admin (3.5ms)

Completed 500 Internal Server Error in 25.3ms

ActionView::Template::Error (undefined method `description' for #<TimeEntryCustomField:0x00000005d44888>):

4: <div class="box tabular">

5: <p><%= f.select :field_format, custom_field_formats_for_select(@custom_field), {}, :disabled => @custom_field.new_record? 

></p>

6: <p><= f.text_field :name, :required => true ></p>

7: <p><= f.text_area :description, :rows => 7 ></p>

8:

9: < if @custom_field.format.multiple_supported %>

10: <p>

lib/redmine/views/labelled_form_builder.rb:31:in `text_area'

app/views/custom_fields/_form.html.erb:7:in `_app_views_custom_fields__form_html_erb__3906873885509551619_58379560'

app/views/custom_fields/new.html.erb:6:in `block in app_views_custom_fields_new_html_erb_317743637556521852_58318580'

app/helpers/application_helper.rb:1042:in `labelled_form_for'

app/views/custom_fields/new.html.erb:5:in `_app_views_custom_fields_new_html_erb__317743637556521852_58318580'

Our Redmine Installation Info:

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p545 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

 SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

 Redmine plugins:

contracts                      1.2.0

progressive_projects_list      1.0.0
redmine_contacts               3.2.14-light

redmine_issue_checklist        2.0.5

redmine_people                 0.1.6

redmine_questions              0.0.5

History

#1 - 2014-04-06 09:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You get this error because your database is not up to date (description column missing in custom_fields table), migrate your database.
